Subscriptions

Retrieve subscriptions, query subscriptions by Salesforce identity, view subscription timelines, and create custom timeline events.

Get subscriptions by Salesforce ID

get

This API can be used to see all of the subscriptions that are attached to a specified Salesforce ID.

chevron-right
lockRequired scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

OAuth 2.0 Bearer token for authenticated API access. Required for order submission, object management, and administrative operations.

Obtain a token via the OAuth flow described in OAuth Bearer Token.

Pass the token in the Authorization header: Bearer <token>

Path parameters
idstringRequired

The Salesforce Identity

Query parameters
queryMorestringOptional

A hash returned from a call to the API that can be used to retrieve the next page of results.

Responses
chevron-right
200

OK

application/json
queryMorestringOptional

Cursor for the next page of results

Example: DnF1ZXJ5VGhlbkZldGNoBQAAAAAAGH_TFnZndVVMaWN4VFZDbnVIbGpRRDFaaUEAAAAAABh_1BZ2Z3VVTGljeFRWQ251 SGxqUUQxWmlBAAAAAAAYf9YWdmd1VUxpY3hUVkNudUhsalFEMVppQQAAAAAAGH_XFnZndVVMaWN4VFZDbnVIbGpRRDFa aUEAAAAAABh_1RZ2Z3VVTGljeFRWQ251SGxqUUQxWmlB
get
/objects/salesforce/identities/{id}/subscriptions

Add a Timeline Event

post

Currently supported for subscriptions. To create a custom Event and attach it to that specified Object’s Timeline.

Authorizations
AuthorizationstringRequired

OAuth 2.0 Bearer token for authenticated API access. Required for order submission, object management, and administrative operations.

Obtain a token via the OAuth flow described in OAuth Bearer Token.

Pass the token in the Authorization header: Bearer <token>

Body
forSubscriptionone ofRequired

Subscription to add the event for

or
namestringRequired

Event name

Example: Order Received
typestringRequired

Domain/type of event

Example: order.event_received
sourcestringOptional

Source of the event e.g. system, user, webhook

Example: webhook
Responses
chevron-right
200

OK

application/json
idstringRequired

Limio event ID generated for the created event

Example: event-03bc891227308ae7c7a258240ac60b82
referencestringRequired

Limio event reference generated for the created event

Example: 3NI4H49PGHBG
statusstringRequired

Processing status of the event

Example: submitted
post
/timeline/subscription

Get Subscription Timeline

get

Retrieves timeline data for a given subscription or customer by ID. This API aggregates relevant events, payment methods, addresses, offers, and schedules to create a chronological activity history.

  • For subscriptions path parameter: Returns timeline for that specific subscription

  • For customers path parameter: Returns timeline for all subscriptions owned by that customer

Authorizations
AuthorizationstringRequired

OAuth 2.0 Bearer token for authenticated API access. Required for order submission, object management, and administrative operations.

Obtain a token via the OAuth flow described in OAuth Bearer Token.

Pass the token in the Authorization header: Bearer <token>

Path parameters
path_typestring · enum · max: 20Required

The type of entity to retrieve timeline for

Example: subscriptionsPossible values:
idstring · max: 60Required

The unique identifier of the subscription or customer

Example: sub-fdb5ff44f3513733c91869c43fdd37ba0
Responses
chevron-right
200

Successfully retrieved timeline data

application/json
get
/timeline/{path_type}/{id}

Last updated

Was this helpful?